Gtk2::ColorButton(3)

NAME
Gtk2::ColorButton - wrapper for GtkColorButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::ColorButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  widget = Gtk2::ColorButton->new ($color=undef)

•   $color (Gtk2::Gdk::Color)

  widget = Gtk2::ColorButton->new_with_color ($color=undef)

•   $color (Gtk2::Gdk::Color)

  unsigned = $color_button->get_alpha

  $color_button->set_alpha ($alpha)

•   $alpha (unsigned)

  color = $color_button->get_color

  $color_button->set_color ($color)

•   $color (Gtk2::Gdk::Color)

  string = $color_button->get_title

  $color_button->set_title ($title)

•   $title (string)

  boolean = $color_button->get_use_alpha

  $color_button->set_use_alpha ($use_alpha)

•   $use_alpha (boolean)

PROPERTIES

'alpha' (Glib::UInt : default 65535 : readable / writable / private / static-nick / static-blurb)
    The selected opacity value (0 fully transparent, 65535 fully opaque)

'color' (Gtk2::Gdk::Color : default undef : readable / writable / private / static-nick / static-blurb)
    The selected color

'title' (string : default "Pick a Color" : readable / writable / private / static-nick / static-blurb)
    The title of the color selection dialog

'use-alpha' (boolean : default false : readable / writable / private / static-nick / static-blurb)
    Whether or not to give the color an alpha value

SIGNALS

color-set (Gtk2::ColorButton)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.